# How to get the direct links

Jump to: [Huggingface](https://github.com/etherealxx/batchlinks-webui/blob/main/howtogetthedirectlinks.md#huggingface) - [Civit AI](https://github.com/etherealxx/batchlinks-webui/blob/main/howtogetthedirectlinks.md#civit-ai) - [MEGA](https://github.com/etherealxx/batchlinks-webui/blob/main/howtogetthedirectlinks.md#mega) - [Discord](https://github.com/etherealxx/batchlinks-webui/blob/main/howtogetthedirectlinks.md#discord-attachments) - [Github (Extension)](https://github.com/etherealxx/batchlinks-webui/blob/main/howtogetthedirectlinks.md#webui-extension-github-repo-link) - [Github (Raw File)](https://github.com/etherealxx/batchlinks-webui/blob/main/howtogetthedirectlinks.md#raw-file-from-github) - [Github (Release File)](https://github.com/etherealxx/batchlinks-webui/blob/main/howtogetthedirectlinks.md#release-file-from-github) - [Google Drive](https://github.com/etherealxx/batchlinks-webui/blob/main/howtogetthedirectlinks.md#google-drive) - [Pixeldrain](https://github.com/etherealxx/batchlinks-webui/blob/main/howtogetthedirectlinks.md#pixeldrain) -  - [Mediafire](https://github.com/etherealxx/batchlinks-webui/blob/main/howtogetthedirectlinks.md#mediafire) - [Anonfiles](https://github.com/etherealxx/batchlinks-webui/blob/main/howtogetthedirectlinks.md#anonfiles) - [Dropbox](https://github.com/etherealxx/batchlinks-webui/blob/main/howtogetthedirectlinks.md#dropbox)

## Huggingface

Locate the model page, click on `files` tab.<br/><br/>
<img src="images/huggingface1.jpg" alt="hg1" height="600" width="966"><br/><br/>
choose the model you want, **right click** the arrow button beside the LFS logo, then click `copy link address`.<br/><br/>
<img src="images/huggingface2.jpg" alt="hg2" height="600" width="970"><br/><br/>

## Civit AI

There are two ways to download links from Civit. The model page link method, and the direct link method. The model page link method **will automatically** choose the directory of the saved model without even using hashtag, **except** if you want to put Lora into `#addnetlora` directory, you can use that hashtag. You still need to define the output directory when using the direct link method.

### Model Page Link Method

Locate the desired model on the main page of Civitai, **right click** the model thumbnail, then click `copy link address`.<br/><br/>
<img src="images/civitnew1.jpg" alt="cv" height="600" width="737"><br/><br/>
You can also click the thumbnail first then copy the link.<br/><br/>
<img src="images/civitnew2.jpg" alt="cv" height="600" width="754"><br/><br/>
The advantage of this method is you will also get the model preview images that can shows up on the latest version of [stable-diffusion-webui](https://github.com/AUTOMATIC1111/stable-diffusion-webui).

### Direct Link Method

Locate the model page, **right click** the huge blue button, then click `copy link address`.<br/><br/>
<img src="images/civit1.jpg" alt="cv" height="600" width="967"><br/><br/>
With this method, you can also choose model variation, by clicking the dropdown icon on the blue button, then **right click** the desired model an.<br/><br/>
<img src="images/civit2.jpg" alt="cv" height="600" width="842"> <br/><br/>

## MEGA

Locate the model you wanted, **right click** the item, click `copy link address`.<br/><br/>
<img src="images/mega1.jpg" alt="mg1" height="600" width="987"><br/><br/>
Click the huge green copy button.<br/><br/>
<img src="images/mega2.jpg" alt="mg2" height="600" width="963"><br/><br/>

## Discord attachments

Locate the file you wanted, **right click** the download icon, then click `get link`.<br/><br/>
<img src="images/discord1.jpg" alt="mg1" height="600" width="930"><br/><br/>
Then click `copy link`.<br/><br/>
<img src="images/discord2.jpg" alt="mg2" height="600" width="963"><br/><br/>

## webui Extension (Github repo link)

Locate the extension's repository, then copy the repository link.<br/><br/>
<img src="images/github.jpg" alt="mg1" height="600" width="831"><br/><br/>

Extension **will automatically** cloned/downloaded on `extensions` directory of webui without the need of hashtag.

## Raw file from Github

Locate the file's repository, then click the desired file.<br/><br/>
<img src="images/githubdirect1.png" alt="mg1" width="831"><br/><br/>
Then **right click** the text that says `raw` **or** `download`, and click `copy link address`<br/><br/>
<img src="images/githubdirect2.png" alt="mg1" width="831"><br/><br/>
<img src="images/githubdirect3.png" alt="mg1" width="831"><br/><br/>

## Release file from Github

Locate the file's repository, then click release section.<br/><br/>
<img src="images/githubrelease1.png" alt="mg1" width="831"><br/><br/>
Then **right click** the desired assets (the blue text), and click `copy link address`<br/><br/>
<img src="images/githubrelease2.png" alt="mg1" width="831"><br/><br/>

## Google Drive

Whether you own the file or not, make sure the file is public. If you owns the file, right click on the file on Google Drive, then click `get link` (or `share`).<br/><br/>
<img src="images/drive1.png" alt="mg1" width="400"><br/><br/>
Then change the access to `anyone with thelink`, and copy the link by clicking the button<br/><br/>
<img src="images/drive2.png" alt="mg1" width="831"><br/><br/>

These are some valid google drive link patterns that works:
```
https://drive.google.com/file/d/1-UbwFtSzKTQkvjdPiKLCejH0Ztq9UJFO/view
https://drive.google.com/file/d/1-UbwFtSzKTQkvjdPiKLCejH0Ztq9UJFO/view?usp=share_link
https://drive.google.com/u/0/uc?id=1-UbwFtSzKTQkvjdPiKLCejH0Ztq9UJFO&export=download
https://drive.google.com/u/0/uc?id=1-UbwFtSzKTQkvjdPiKLCejH0Ztq9UJFO&export=download&confirm=t
```
## Pixeldrain

Just click the `copy link` button, or just copy the link.<br/><br/>
<img src="images/pixeldrain.png" alt="mg1" width="800"><br/><br/>

## Anonfiles

**Don't** right click the download button. Instead, copy the link on the url bar<br/><br/>
<img src="images/anonfiles.png" alt="mg1" width="800"><br/><br/>

## Mediafire

When you arrived on this page, click the chain link icon to copy link, or just copy the link above<br/><br/>
<img src="images/mediafire.png" alt="mg1" width="800"><br/><br/>

Don't forget that when being pasted, the link must starts with `https://www.mediafire.com/file/` (notice the triple W)

## Dropbox

When the item is yours, go to the homepage, and click copy link, the link will be copied to your clipboard<br/><br/>
<img src="images/dropbox1.png" alt="mg1" width="600"><br/><br/>

Or, if you got into this screen, just copy the link above, with the link ends with either `?dl=0` or `?dl=1`<br/><br/>
<img src="images/dropbox2.png" alt="mg1" width="500"><br/><br/>